# Objects_info
#Geometry node 控制面板資訊
# TYPE: MATERIAL | OBJECT | COLLECTION | BOOLEAN | FLOAT 

#面板的顯示順序會依照這邊的排列順序

#BOOLEAN的項目如果在後面在加入一個相同Input名稱的FLOAT，會導讓BOOLEAN項目從核取方塊变成按鈕
#例如如果希望Input_51变成按鈕而不是核取方塊，就在後面加入一個Input_51的FLOAT項目
    # 'Input_51': {'label': '', 'type': 'BOOLEAN', 'panel': 'A', 'name': {'en': 'CUUVE/MESH', 'zh': 'CUUVE/MESH'}},
    #     'Input_51': {'label': '', 'type': 'FLOAT', 'panel': 'A', 'name': {'en': 'CUUVE/MESH', 'zh': 'CUUVE/MESH'}},


objects_info_list = {

    0: {
},


    1: {


        #Overall Control
        'Input_84': {'label': '', 'type': 'FLOAT', 'panel': 'D', 'name': {'en': 'Remove Bracket', 'zh': '移除支架'}},


        'Input_2': {'label': '', 'type': 'FLOAT', 'panel': 'D', 'name': {'en': 'Seed', 'zh': 'Seed'}},
        'Input_17': {'label': '', 'type': 'FLOAT', 'panel': 'D', 'name': {'en': 'Size_', 'zh': '整体尺寸'}},

            'Input_9': {'label': '', 'type': 'BOOLEAN', 'panel': 'D', 'name': {'en': 'Invert', 'zh': '颠倒'}},
                'Input_9': {'label': '', 'type': 'FLOAT', 'panel': 'D', 'name': {'en': 'Invert', 'zh': '颠倒'}},

            'Input_10': {'label': '', 'type': 'BOOLEAN', 'panel': 'D', 'name': {'en': 'Direction', 'zh': '方向'}},
                'Input_10': {'label': '', 'type': 'FLOAT', 'panel': 'D', 'name': {'en': 'Direction', 'zh': '方向'}},



        # Source Selection
'Input_93': {'label': '', 'type': 'FLOAT', 'panel': 'A', 'name': {'en': '', 'zh': ''}},



            'Input_51': {'label': '', 'type': 'BOOLEAN', 'panel': 'A', 'name': {'en': 'CURVE/MESH', 'zh': '曲线/网格'}},
                'Input_51': {'label': '', 'type': 'FLOAT', 'panel': 'A', 'name': {'en': 'CURVE/MESH', 'zh': '曲线/网格'}},
            'Input_49': {'label': '', 'type': 'BOOLEAN', 'panel': 'A', 'name': {'en': 'OBJ/Collection', 'zh': '物件/集合'}},
                'Input_49': {'label': '', 'type': 'FLOAT', 'panel': 'A', 'name': {'en': 'OBJ/Collection', 'zh': '物件/集合'}},

        'Input_16': {'label': '', 'type': 'OBJECT', 'panel': 'A', 'name': {'en': '(Curve)Object', 'zh': '(曲线)物件'}},
        'Input_50': {'label': '', 'type': 'OBJECT', 'panel': 'A', 'name': {'en': '(Mesh)Object', 'zh': '(网格)物件'}},

        # Source

        'Input_52': {'label': '', 'type': 'COLLECTION', 'panel': 'A', 'name': {'en': '(Curve)_1 Collection', 'zh': '(曲线)_1 集合'}},
        'Input_60': {'label': '', 'type': 'COLLECTION', 'panel': 'A', 'name': {'en': '(Curve)_0 Collection', 'zh': '(曲线)_0 集合'}},
        'Input_48': {'label': '', 'type': 'COLLECTION', 'panel': 'A', 'name': {'en': '(Mesh) Collection', 'zh': '(网格) 集合'}},

        # Main Bracket Control
'Input_89': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': '', 'zh': ''}},


        'Input_3': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Bracket Height', 'zh': '支架高度'}},
        'Input_4': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Bracket Depth', 'zh': '支架深度'}},
        'Input_5': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Bracket Width', 'zh': '支架宽度'}},
        'Input_6': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Number of Brackets (2~4)', 'zh': '支架数量(2~4)'}},
        'Input_7': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Back Bracket Height', 'zh': '支架後方高度'}},
        'Input_8': {'label': '', 'type': 'FLOAT', 'panel': 'C', 'name': {'en': 'Bracket Thickness', 'zh': '支架粗度'}},

        # Sign Body Control 
'Input_92': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': '', 'zh': ''}},




            'Input_37': {'label': '', 'type': 'BOOLEAN', 'panel': 'B', 'name': {'en': 'Backplate Type', 'zh': '背板类型'}},
                'Input_37': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'Backplate Type', 'zh': '背板类型'}},

        'Input_65': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'Rectangular Backplate Size', 'zh': '长方形背板尺寸'}},
        'Input_20': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'Sign Body Size', 'zh': '招牌本体尺寸'}},

            'Input_61': {'label': '', 'type': 'BOOLEAN', 'panel': 'B', 'name': {'en': 'Backplate', 'zh': '背板'}},
                'Input_61': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'Backplate', 'zh': '背板'}},

            'Input_63': {'label': '', 'type': 'BOOLEAN', 'panel': 'B', 'name': {'en': 'Sign Text', 'zh': '招牌文字'}},
                'Input_63': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'Sign Text', 'zh': '招牌文字'}},

        # 'Input_53': {'label': '', 'type': 'FLOAT', 'panel': 'ALL', 'name': {'en': '', 'zh': ''}},

        # NL
'Input_91': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': '', 'zh': ''}},


        
            'Input_62': {'label': '', 'type': 'BOOLEAN', 'panel': 'G', 'name': {'en': 'Neon Light', 'zh': '霓虹灯'}},
                'Input_62': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light', 'zh': '霓虹灯'}},

            'Input_41': {'label': '', 'type': 'BOOLEAN', 'panel': 'G', 'name': {'en': 'Light Type', 'zh': '灯_类型'}},
                'Input_41': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Light Type', 'zh': '灯_类型'}},

            'Input_64': {'label': '', 'type': 'BOOLEAN', 'panel': 'G', 'name': {'en': 'Cutting Curve', 'zh': '切割曲线'}},
                'Input_64': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Cutting Curve', 'zh': '切割曲线'}},

        'Input_43': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Mesh Resolution', 'zh': '灯管 网格精细度'}},
        'Input_45': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Mesh Resolution2', 'zh': '灯管 网格精细度2'}},
        'Input_46': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Thickness', 'zh': '灯管 粗细'}},
            'Input_47': {'label': '', 'type': 'BOOLEAN', 'panel': 'G', 'name': {'en': 'Neon Light Subdivision Surface', 'zh': '灯管 细分曲面'}},
                'Input_47': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Subdivision Surface', 'zh': '灯管 细分曲面'}},

'Input_96': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': '', 'zh': ''}},

            'Input_57': {'label': '', 'type': 'BOOLEAN', 'panel': 'G', 'name': {'en': 'Neon Light Bracket', 'zh': '灯管支架'}},
                'Input_57': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Bracket', 'zh': '灯管支架'}},
        'Input_56': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Bracket Height', 'zh': '灯管支架 高度'}},
        'Input_54': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Bracket Thickness', 'zh': '灯管支架粗细'}},
        'Input_55': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Bracket Mesh Resolution', 'zh': '灯管支架 网格精细度'}},

        'Input_59': {'label': '', 'type': 'FLOAT', 'panel': 'G', 'name': {'en': 'Neon Light Bracket Spacing', 'zh': '灯管支架 间距'}},

        # Cables
'Input_88': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': '', 'zh': ''}},


            'Input_24': {'label': '', 'type': 'BOOLEAN', 'panel': 'E', 'name': {'en': 'Cables', 'zh': '电缆'}},
                'Input_24': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cables', 'zh': '电缆'}},
        'Input_27': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Length', 'zh': '电缆长度'}},
        'Input_28': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Length Variation', 'zh': '电缆长度变化'}},
        'Input_29': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Seed', 'zh': 'Seed'}},
        'Input_30': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Head and Tail Spacing', 'zh': '电缆头尾间距'}},
        'Input_31': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Density1', 'zh': '电缆密度1'}},
        'Input_32': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Density2', 'zh': '电缆密度2'}},
        'Input_33': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Mesh Resolution1', 'zh': '电缆网格精细度1'}},
        'Input_35': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Mesh Resolution2', 'zh': '电缆网格精细度2'}},
        'Input_34': {'label': '', 'type': 'FLOAT', 'panel': 'E', 'name': {'en': 'Cable Diameter', 'zh': '电缆直径'}},

        # Cross Bracing
'Input_90': {'label': '', 'type': 'FLOAT', 'panel': 'F', 'name': {'en': '', 'zh': ''}},


            'Input_39': {'label': '', 'type': 'BOOLEAN', 'panel': 'F', 'name': {'en': 'Cross Bracing', 'zh': 'X型支架'}},
                'Input_39': {'label': '', 'type': 'FLOAT', 'panel': 'F', 'name': {'en': 'Cross Bracing', 'zh': 'X型支架'}},
        'Input_25': {'label': '', 'type': 'FLOAT', 'panel': 'F', 'name': {'en': 'Cross Bracing', 'zh': 'X型支架'}},
        'Input_38': {'label': '', 'type': 'FLOAT', 'panel': 'F', 'name': {'en': 'Diameter', 'zh': '直径'}},
        'Input_40': {'label': '', 'type': 'FLOAT', 'panel': 'F', 'name': {'en': 'Quantity Adjustment', 'zh': '数量调整'}},
    
        #mtl
'Input_87': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': '', 'zh': ''}},
'Input_73': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': '', 'zh': ''}},
        
        # 'Input_74': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Neon Light Material Selection', 'zh': '霓虹灯材质選擇'}},

        # 'Input_75': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Neon Light Material INDEX', 'zh': '霓虹灯材质INDEX'}},
        'Input_76': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Neon Light Material ', 'zh': '霓虹灯材质'}},
        # 'Input_85': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Neon Light Material INDEX', 'zh': '霓虹灯材质INDEX'}},

        'Input_77': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Backplate 1 Material', 'zh': '背板1材质'}},
        'Input_78': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Light Bracket Material', 'zh': '灯支架材质'}},
        'Input_79': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Main Bracket Material', 'zh': '主要支架材质'}},
        'Input_80': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Cross Bracing Material', 'zh': 'X型支架材质'}},
        'Input_81': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Cable Material', 'zh': '电缆材质'}},
        'Input_82': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Backplate 2 Material', 'zh': '背板2材质'}},
        'Input_83': {'label': '', 'type': 'FLOAT', 'panel': 'H', 'name': {'en': 'Signboard Text Material', 'zh': '招牌文字材质'}},

    
    #Experimental Options
'Input_102': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '', 'zh': ''}},
            'Input_98': {'label': '', 'type': 'BOOLEAN', 'panel': 'X', 'name': {'en': 'Experimental Options', 'zh': '实验性选项'}},
                'Input_98': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Experimental Options', 'zh': '实验性选项'}},
'Input_122': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '', 'zh': ''}},
        'Input_97': {'label': '', 'type': 'OBJECT', 'panel': 'X', 'name': {'en': '(Curve)Object1', 'zh': '(曲线)物件1'}},
        'Input_104': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Material', 'zh': '材质1'}},
        'Input_103': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Scale1', 'zh': '缩放1'}},
        'Input_99': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Location1', 'zh': '位置1'}},

'Input_123': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '', 'zh': ''}},
        'Input_114': {'label': '', 'type': 'OBJECT', 'panel': 'X', 'name': {'en': '(Curve)Object2', 'zh': '(曲线)物件2'}},
        'Input_118': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Material', 'zh': '材质2'}},
        'Input_120': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Scale2', 'zh': '缩放2'}},
        'Input_116': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Location2', 'zh': '位置2'}},

'Input_124': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '', 'zh': ''}},
        'Input_115': {'label': '', 'type': 'OBJECT', 'panel': 'X', 'name': {'en': '(Curve)Object3', 'zh': '(曲线)物件3'}},
        'Input_119': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Material', 'zh': '材质3'}},
        'Input_121': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Scale3', 'zh': '缩放3'}},
        'Input_117': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Location3', 'zh': '位置3'}},





        # 'Input_99': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Position', 'zh': '位置'}},
        # 'Input_100': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Rotation', 'zh': '旋轉'}},

        'Input_101': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Scale', 'zh': '缩放'}},

'Input_113': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '', 'zh': ''}},
            'Input_106': {'label': '', 'type': 'BOOLEAN', 'panel': 'X', 'name': {'en': 'Neon_Backplate', 'zh': '霓虹灯背板'}},
                'Input_106': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Neon_Backplate', 'zh': '霓虹灯背板'}},
        'Input_105': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Material', 'zh': '材质'}},
        'Input_111': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Scale', 'zh': '缩放'}},
        'Input_107': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Count', 'zh': '数量'}},
        'Input_108': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Height', 'zh': '高度'}},
        'Input_109': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Width', 'zh': '宽度'}},
        'Input_110': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Neon Light Thickness', 'zh': '灯管 粗细'}},
            'Input_112': {'label': '', 'type': 'BOOLEAN', 'panel': 'X', 'name': {'en': 'Shade Smooth', 'zh': '平滑着色'}},
                'Input_112': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': 'Shade Smooth', 'zh': '平滑着色'}},

            'Input_125': {'label': '', 'type': 'BOOLEAN', 'panel': 'X', 'name': {'en': '?', 'zh': '?'}},
                'Input_125': {'label': '', 'type': 'FLOAT', 'panel': 'X', 'name': {'en': '?', 'zh': '?'}},




    
    
    
    
    
    },











    2: {
    'Input_2': {'label': '', 'type': 'MATERIAL', 'panel': 'A', 'name': {'en': 'English666', 'zh': '中文666'}},
    'Input_3': {'label': '', 'type': 'MATERIAL', 'panel': 'A', 'name': {'en': 'English666', 'zh': '中文666'}},
    'Input_4': {'label': '', 'type': 'OBJECT', 'panel': 'A', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_5': {'label': '', 'type': 'COLLECTION', 'panel': 'A', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_6': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_7': {'label': '', 'type': 'FLOAT', 'panel': 'B', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_8': {'label': '', 'type': 'BOOLEAN', 'panel': 'C', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_9': {'label': '', 'type': 'OBJECT', 'panel': 'C', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_10': {'label': '', 'type': 'COLLECTION', 'panel': 'C', 'name': {'en': 'English', 'zh': '中文'}},
    'Input_11': {'label': '', 'type': 'BOOLEAN', 'panel': 'C', 'name': {'en': 'English', 'zh': '中文'}},
}

}











